# Introduction

The MediaMarkup REST API enables integration with 3rd party applications.\
\
The annotation can be used with or without the MediaMarkup admin/login interface, this means 3rd party tools can integrate the markup & approval tools within their own approval workflow, production tracking and status rules.\
\
Various endpoints for authentication, adding/updating users, adding/updating file approvals and creating Personal Urls for authenticating users to use the online approval tool.\
\
In addition to the API calls, webhooks (or callbacks) can be implemented to get information about various events within the MediaMarkup application, see: <https://mediamarkup.gitbook.io/docs/api/webhooks>&#x20;

The API is a REST based, which means is entirely HTTP-based and therefore can work with any system, programming language or application that is able to send HTTP requests.\
Click here for available client libraries: <https://mediamarkup.gitbook.io/docs/api/client-libraries>

## API Url

The base url for API connectivity is:

<https://api.mediamarkup.com>

## API Explorer

The list of API endpoints and manual/interactive testing can be done at:\
\
<https://api.mediamarkup.com/docs/index.html>

## Case Study

Here is a [link to a case study](https://medium.com/mediamarkup/case-study-qmuli-api-integration-f34a093149f9) on how MediaMarkup has been integrated with an Ad Production system:


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mediamarkup.gitbook.io/docs/api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
